[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Installing R on RHEL7



I am trying to install R on RHEL7. It fails with a lot of messages of
this form about different packages:

Error: Package: glibc-2.17-55.el7.i686 (base)
           Requires: glibc-common = 2.17-55.el7
           Installed: glibc-common-2.17-106.el7_2.4.x86_64 (@rhel-7-server-rpms)
               glibc-common = 2.17-106.el7_2.4
           Available: glibc-common-2.17-55.el7.x86_64 (base)
               glibc-common = 2.17-55.el7

But if I then try to install what it says it wants, I get that the
package is already there, e.g.:

$ sudo yum install glibc-common-2.17-55.el7.x86_64
Loaded plugins: langpacks, product-id, search-disabled-repos,
subscription-manager
Package matching glibc-common-2.17-55.el7.x86_64 already installed.
Checking for update.
Nothing to do

I've googled this, and it seems a lot of folks have had issues doing
the R install on RHEL 7. I've found at least 5 different sets of
instructions for doing it, but I tried them all and they all fail with
different dependencies issues.

Has anyone here successfully installed R and can help me?

Thanks!



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]